Subject: Re: [PATCH 2/3] sky2: Reading registers in reset causes a hang

From: Stephen Hemminger <[email-masked]>
Date: Mon, 12 Oct 2009 09:14:59 -0700

On Mon, 12 Oct 2009 23:06:37 +0900
Mike McCormack <[email-masked]> wrote:

> When sky2 hardware is in reset, reading registers with ethtool -d
> causes a hard system hang. eg.
> 
>     ifconfig eth1 down
>     ethtool -d eth1
> 
> Avoid reading FIFOs, descriptor and status unit, etc. after we've
>  bought the interface down, as these seem to cause the issue.
> 
> Assume the same is true for the second port, as my port only has
>  one card.

I don't see this on my cards. Let me investigate further before
committing this. Also, the debugfs interface would also be screwed
if the registers were unavailable.